# adjust-time-to-timezone

adjust-time-to-timezone($arg as xs:time?) → xs:time?

Returns a time value equivalent to the original time, but with the timezone removed.

Arguments
| $arg | xs:time? | The input time
Result | xs:time?

adjust-time-to-timezone($arg as xs:time?, $timezone as xs:dayTimeDuration?) → xs:time?

Returns a time value equivalent to the original time, but adjusted to a different timezone.

Arguments
| $arg | xs:time? | The input time
| $timezone | xs:dayTimeDuration? | The new time zone, as an offset from UTC, or () to denote the implicit timezone
Result | xs:time?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next